Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename temp-write

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-temp-write
Version:	3.3.0
Release:	alt1_4
Summary:	Write string/buffer/stream to a random temp file

License:	MIT
URL:		https://github.com/sindresorhus/temp-write
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source2:	https://raw.githubusercontent.com/sindresorhus/%{packagename}/v%{version}/test.js
Source10:	dl-tests.sh


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(graceful-fs)
BuildRequires:	npm(is-stream)
BuildRequires:	npm(make-dir)
BuildRequires:	npm(pify)
BuildRequires:	npm(temp-dir)
BuildRequires:	npm(uuid)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif
Source44: import.info

%description
Write string/buffer/stream to a random temp file


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

cp -p %{SOURCE2} .

%nodejs_fixdep uuid

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 3.3.0-alt1_4
- new version

